Skip to main content
Credential

List Credentials

List credentials with pagination

GET
/api/v1/agentstudio/credentials
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/credentials?vault_id=%3Cstring%3E' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "cred_xxx",
      "type": "credential",
      "vault_id": "vlt_xxx",
      "display_name": "第三方 API 密钥",
      "auth": {
        "type": "environment_variable",
        "secret_name": "API_KEY",
        "networking": {
          "type": "unrestricted"
        }
      },
      "metadata": {},
      "archived_at": null,
      "created_at": "2026-07-10T08:00:00Z",
      "updated_at": "2026-07-10T08:00:00Z",
      "request_id": "req_xxx"
    }
  ],
  "next_page": null
}

Authorizations

string
header
required

DashScope API Key

Query Parameters

string
required

Vault ID,格式 vlt_xxx

boolean
defaultfalse

是否包含已归档的 Credential,默认 false

integer
default20

每页返回数量,默认 20,最大 100

x <= 100
string

分页游标,从上一次响应的 next_page 获取

Response

200-application/json
object[]

Credential 对象数组

string | null

下一页游标,无更多数据时为 null

Overview
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview